Deploy failed Production: master@HEAD

Hello, please help I used a gatsby starter, I edited it it works fine, tried deploying on netlify , but keeps geting deployed failed. below is the deploy log.

8:13:46 PM: Build ready to start
8:13:48 PM: build-image version: 3031d4c9e432fd7016f6279fc9ad706f9205d845
8:13:48 PM: build-image tag: v3.3.17
8:13:48 PM: buildbot version: da42b14a989873e00cc6f36bc354c01953474181
8:13:48 PM: Fetching cached dependencies
8:13:48 PM: Failed to fetch cache, continuing with build
8:13:48 PM: Starting to prepare the repo for build
8:13:49 PM: No cached dependencies found. Cloning fresh repo
8:13:49 PM: git clone https://github.com/Zunnurayni/Techgeek
8:13:50 PM: Preparing Git Reference refs/heads/master
8:13:51 PM: Different build command detected, going to use the one specified in the Netlify configuration file: ‘yarn build’ versus ‘Gatsby build’ in the Netlify UI
8:13:51 PM: Starting build script
8:13:52 PM: Installing dependencies
8:13:52 PM: Python version set to 2.7
8:13:53 PM: v12.18.0 is already installed.
8:13:54 PM: Now using node v12.18.0 (npm v6.14.4)
8:13:54 PM: Started restoring cached build plugins
8:13:54 PM: Finished restoring cached build plugins
8:13:54 PM: Attempting ruby version 2.7.1, read from environment
8:13:55 PM: Using ruby version 2.7.1
8:13:56 PM: Using PHP version 5.6
8:13:56 PM: 5.2 is already installed.
8:13:56 PM: Using Swift version 5.2
8:13:56 PM: Started restoring cached node modules
8:13:56 PM: Finished restoring cached node modules
8:13:56 PM: Installing NPM modules using NPM version 6.14.4
8:15:23 PM: > sharp@0.25.3 install /opt/build/repo/node_modules/sharp
8:15:23 PM: > (node install/libvips && node install/dll-copy && prebuild-install --runtime=napi) || (node-gyp rebuild && node install/dll-copy)
8:15:24 PM: info sharp Downloading https://github.com/lovell/sharp-libvips/releases/download/v8.9.1/libvips-8.9.1-linux-x64.tar.gz
8:15:26 PM: > websocket@1.0.31 install /opt/build/repo/node_modules/websocket
8:15:26 PM: > (node-gyp rebuild 2> builderror.log) || (exit 0)
8:15:27 PM: make: Entering directory ‘/opt/build/repo/node_modules/websocket/build’
8:15:27 PM: CXX(target) Release/obj.target/bufferutil/src/bufferutil.o
8:15:29 PM: SOLINK_MODULE(target) Release/obj.target/bufferutil.node
8:15:29 PM: COPY Release/bufferutil.node
8:15:29 PM: CXX(target) Release/obj.target/validation/src/validation.o
8:15:30 PM: SOLINK_MODULE(target) Release/obj.target/validation.node
8:15:30 PM: COPY Release/validation.node
8:15:30 PM: make: Leaving directory ‘/opt/build/repo/node_modules/websocket/build’
8:15:30 PM: > node-sass@4.14.1 install /opt/build/repo/node_modules/node-sass
8:15:30 PM: > node scripts/install.js
8:15:31 PM: Downloading binary from https://github.com/sass/node-sass/releases/download/v4.14.1/linux-x64-72_binding.node
8:15:31 PM: Download complete
8:15:31 PM: Binary saved to /opt/build/repo/node_modules/node-sass/vendor/linux-x64-72/binding.node
8:15:31 PM: Caching binary to /opt/buildhome/.npm/node-sass/4.14.1/linux-x64-72_binding.node
8:15:32 PM: > core-js@3.6.5 postinstall /opt/build/repo/node_modules/@jimp/bmp/node_modules/core-js
8:15:32 PM: > node -e “try{require(’./postinstall’)}catch(e){}”
8:15:32 PM: > core-js@3.6.5 postinstall /opt/build/repo/node_modules/@jimp/core/node_modules/core-js
8:15:32 PM: > node -e “try{require(’./postinstall’)}catch(e){}”
8:15:32 PM: > core-js@3.6.5 postinstall /opt/build/repo/node_modules/@jimp/custom/node_modules/core-js
8:15:32 PM: > node -e “try{require(’./postinstall’)}catch(e){}”
8:15:32 PM: > core-js@3.6.5 postinstall /opt/build/repo/node_modules/@jimp/gif/node_modules/core-js
8:15:32 PM: > node -e “try{require(’./postinstall’)}catch(e){}”
8:15:32 PM: > core-js@3.6.5 postinstall /opt/build/repo/node_modules/@jimp/jpeg/node_modules/core-js
8:15:32 PM: > node -e “try{require(’./postinstall’)}catch(e){}”
8:15:32 PM: > core-js@3.6.5 postinstall /opt/build/repo/node_modules/@jimp/plugin-blit/node_modules/core-js
8:15:32 PM: > node -e “try{require(’./postinstall’)}catch(e){}”
8:15:32 PM: > core-js@3.6.5 postinstall /opt/build/repo/node_modules/@jimp/plugin-blur/node_modules/core-js
8:15:32 PM: > node -e “try{require(’./postinstall’)}catch(e){}”
8:15:32 PM: > core-js@3.6.5 postinstall /opt/build/repo/node_modules/@jimp/plugin-circle/node_modules/core-js
8:15:32 PM: > node -e “try{require(’./postinstall’)}catch(e){}”
8:15:33 PM: > core-js@3.6.5 postinstall /opt/build/repo/node_modules/@jimp/plugin-color/node_modules/core-js
8:15:33 PM: > node -e “try{require(’./postinstall’)}catch(e){}”
8:15:33 PM: > core-js@3.6.5 postinstall /opt/build/repo/node_modules/@jimp/plugin-contain/node_modules/core-js
8:15:33 PM: > node -e “try{require(’./postinstall’)}catch(e){}”
8:15:33 PM: > core-js@3.6.5 postinstall /opt/build/repo/node_modules/@jimp/plugin-cover/node_modules/core-js
8:15:33 PM: > node -e “try{require(’./postinstall’)}catch(e){}”
8:15:33 PM: > core-js@3.6.5 postinstall /opt/build/repo/node_modules/@jimp/plugin-crop/node_modules/core-js
8:15:33 PM: > node -e “try{require(’./postinstall’)}catch(e){}”
8:15:33 PM: > core-js@3.6.5 postinstall /opt/build/repo/node_modules/@jimp/plugin-displace/node_modules/core-js
8:15:33 PM: > node -e “try{require(’./postinstall’)}catch(e){}”
8:15:33 PM: > core-js@3.6.5 postinstall /opt/build/repo/node_modules/@jimp/plugin-dither/node_modules/core-js
8:15:33 PM: > node -e “try{require(’./postinstall’)}catch(e){}”
8:15:33 PM: > core-js@3.6.5 postinstall /opt/build/repo/node_modules/@jimp/plugin-fisheye/node_modules/core-js
8:15:33 PM: > node -e “try{require(’./postinstall’)}catch(e){}”
8:15:33 PM: > core-js@3.6.5 postinstall /opt/build/repo/node_modules/@jimp/plugin-flip/node_modules/core-js
8:15:33 PM: > node -e “try{require(’./postinstall’)}catch(e){}”
8:15:33 PM: > core-js@3.6.5 postinstall /opt/build/repo/node_modules/@jimp/plugin-gaussian/node_modules/core-js
8:15:33 PM: > node -e “try{require(’./postinstall’)}catch(e){}”
8:15:33 PM: > core-js@3.6.5 postinstall /opt/build/repo/node_modules/@jimp/plugin-invert/node_modules/core-js
8:15:33 PM: > node -e “try{require(’./postinstall’)}catch(e){}”
8:15:34 PM: > core-js@3.6.5 postinstall /opt/build/repo/node_modules/@jimp/plugin-mask/node_modules/core-js
8:15:34 PM: > node -e “try{require(’./postinstall’)}catch(e){}”
8:15:34 PM: > core-js@3.6.5 postinstall /opt/build/repo/node_modules/@jimp/plugin-normalize/node_modules/core-js
8:15:34 PM: > node -e “try{require(’./postinstall’)}catch(e){}”
8:15:34 PM: > core-js@3.6.5 postinstall /opt/build/repo/node_modules/@jimp/plugin-print/node_modules/core-js
8:15:34 PM: > node -e “try{require(’./postinstall’)}catch(e){}”
8:15:34 PM: > core-js@3.6.5 postinstall /opt/build/repo/node_modules/@jimp/plugin-resize/node_modules/core-js
8:15:34 PM: > node -e “try{require(’./postinstall’)}catch(e){}”
8:15:34 PM: > core-js@3.6.5 postinstall /opt/build/repo/node_modules/@jimp/plugin-rotate/node_modules/core-js
8:15:34 PM: > node -e “try{require(’./postinstall’)}catch(e){}”
8:15:34 PM: > core-js@3.6.5 postinstall /opt/build/repo/node_modules/@jimp/plugin-scale/node_modules/core-js
8:15:34 PM: > node -e “try{require(’./postinstall’)}catch(e){}”
8:15:34 PM: > core-js@3.6.5 postinstall /opt/build/repo/node_modules/@jimp/plugin-shadow/node_modules/core-js
8:15:34 PM: > node -e “try{require(’./postinstall’)}catch(e){}”
8:15:34 PM: > core-js@3.6.5 postinstall /opt/build/repo/node_modules/@jimp/plugin-threshold/node_modules/core-js
8:15:34 PM: > node -e “try{require(’./postinstall’)}catch(e){}”
8:15:34 PM: > core-js@3.6.5 postinstall /opt/build/repo/node_modules/@jimp/plugins/node_modules/core-js
8:15:34 PM: > node -e “try{require(’./postinstall’)}catch(e){}”
8:15:34 PM: > core-js@3.6.5 postinstall /opt/build/repo/node_modules/@jimp/png/node_modules/core-js
8:15:34 PM: > node -e “try{require(’./postinstall’)}catch(e){}”
8:15:35 PM: > core-js@3.6.5 postinstall /opt/build/repo/node_modules/@jimp/tiff/node_modules/core-js
8:15:35 PM: > node -e “try{require(’./postinstall’)}catch(e){}”
8:15:35 PM: > core-js@3.6.5 postinstall /opt/build/repo/node_modules/@jimp/types/node_modules/core-js
8:15:35 PM: > node -e “try{require(’./postinstall’)}catch(e){}”
8:15:35 PM: > core-js@3.6.5 postinstall /opt/build/repo/node_modules/@jimp/utils/node_modules/core-js
8:15:35 PM: > node -e “try{require(’./postinstall’)}catch(e){}”
8:15:35 PM: > core-js@2.6.11 postinstall /opt/build/repo/node_modules/core-js
8:15:35 PM: > node -e “try{require(’./postinstall’)}catch(e){}”
8:15:35 PM: > core-js-pure@3.6.5 postinstall /opt/build/repo/node_modules/core-js-pure
8:15:35 PM: > node -e “try{require(’./postinstall’)}catch(e){}”
8:15:36 PM: > core-js@3.6.5 postinstall /opt/build/repo/node_modules/eslint-watch/node_modules/core-js
8:15:36 PM: > node -e “try{require(’./postinstall’)}catch(e){}”
8:15:36 PM: > core-js@3.6.5 postinstall /opt/build/repo/node_modules/jimp/node_modules/core-js
8:15:36 PM: > node -e “try{require(’./postinstall’)}catch(e){}”
8:15:38 PM: > gatsby-telemetry@1.3.11 postinstall /opt/build/repo/node_modules/gatsby-telemetry
8:15:38 PM: > node src/postinstall.js || true
8:15:39 PM: > cwebp-bin@5.1.0 postinstall /opt/build/repo/node_modules/cwebp-bin
8:15:39 PM: > node lib/install.js
8:15:39 PM: :heavy_check_mark: cwebp pre-build test passed successfully
8:15:39 PM: > mozjpeg@6.0.1 postinstall /opt/build/repo/node_modules/mozjpeg
8:15:39 PM: > node lib/install.js
8:15:40 PM: :heavy_check_mark: mozjpeg pre-build test passed successfully
8:15:40 PM: > pngquant-bin@5.0.2 postinstall /opt/build/repo/node_modules/pngquant-bin
8:15:40 PM: > node lib/install.js
8:15:40 PM: :heavy_check_mark: pngquant pre-build test passed successfully
8:15:40 PM: > gatsby-cli@2.12.45 postinstall /opt/build/repo/node_modules/gatsby/node_modules/gatsby-cli
8:15:40 PM: > node scripts/postinstall.js
8:15:40 PM: > gatsby@2.23.3 postinstall /opt/build/repo/node_modules/gatsby
8:15:40 PM: > node scripts/postinstall.js
8:15:41 PM: > node-sass@4.14.1 postinstall /opt/build/repo/node_modules/node-sass
8:15:41 PM: > node scripts/build.js
8:15:41 PM: Binary found at /opt/build/repo/node_modules/node-sass/vendor/linux-x64-72/binding.node
8:15:41 PM: Testing binary
8:15:41 PM: Binary is fine
8:15:46 PM: npm WARN optional SKIPPING OPTIONAL DEPENDENCY: fsevents@1.2.13 (node_modules/fsevents):
8:15:46 PM: npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for fsevents@1.2.13: wanted {“os”:“darwin”,“arch”:“any”} (current: {“os”:“linux”,“arch”:“x64”})
8:15:46 PM: npm WARN optional SKIPPING OPTIONAL DEPENDENCY: fsevents@2.1.3 (node_modules/jest-haste-map/node_modules/fsevents):
8:15:46 PM: npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for fsevents@2.1.3: wanted {“os”:“darwin”,“arch”:“any”} (current: {“os”:“linux”,“arch”:“x64”})
8:15:46 PM: npm WARN optional SKIPPING OPTIONAL DEPENDENCY: fsevents@2.1.3 (node_modules/chokidar/node_modules/fsevents):
8:15:46 PM: npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for fsevents@2.1.3: wanted {“os”:“darwin”,“arch”:“any”} (current: {“os”:“linux”,“arch”:“x64”})
8:15:46 PM: added 3661 packages from 1653 contributors and audited 3680 packages in 108.368s
8:15:50 PM: 188 packages are looking for funding
8:15:50 PM: run npm fund for details
8:15:50 PM: found 0 vulnerabilities
8:15:50 PM: NPM modules installed
8:15:51 PM: Started restoring cached go cache
8:15:51 PM: Finished restoring cached go cache
8:15:51 PM: go version go1.14.4 linux/amd64
8:15:51 PM: go version go1.14.4 linux/amd64
8:15:51 PM: Installing missing commands
8:15:51 PM: Verify run directory
8:15:52 PM: ​
8:15:52 PM: ┌─────────────────────────────┐
8:15:52 PM: │ Netlify Build │
8:15:52 PM: └─────────────────────────────┘
8:15:52 PM: ​
8:15:52 PM: ❯ Version
8:15:52 PM: @netlify/build 2.0.10
8:15:52 PM: ​
8:15:52 PM: ❯ Flags
8:15:52 PM: deployId: 5eed0e6a1ca46d02337cd443
8:15:52 PM: mode: buildbot
8:15:52 PM: ​
8:15:52 PM: ❯ Current directory
8:15:52 PM: /opt/build/repo
8:15:52 PM: ​
8:15:52 PM: ❯ Config file
8:15:52 PM: /opt/build/repo/netlify.toml
8:15:52 PM: ​
8:15:52 PM: ❯ Context
8:15:52 PM: production
8:15:52 PM: ​
8:15:52 PM: ┌────────────────────────────────────┐
8:15:52 PM: │ 1. build.command from netlify.toml │
8:15:52 PM: └────────────────────────────────────┘
8:15:52 PM: ​
8:15:52 PM: $ yarn build
8:15:52 PM: bash: yarn: command not found
8:15:52 PM: ​
8:15:52 PM: ┌─────────────────────────────┐
8:15:52 PM: │ “build.command” failed │
8:15:52 PM: └─────────────────────────────┘
8:15:52 PM: ​
8:15:52 PM: Error message
8:15:52 PM: Command failed with exit code 127: yarn build
8:15:52 PM: ​
8:15:52 PM: Error location
8:15:52 PM: In build.command from netlify.toml:
8:15:52 PM: yarn build
8:15:52 PM: ​
8:15:52 PM: Resolved config
8:15:52 PM: build:
8:15:52 PM: command: yarn build
8:15:52 PM: publish: /opt/build/repo/public
8:15:52 PM: Caching artifacts
8:15:52 PM: Started saving node modules
8:15:52 PM: Finished saving node modules
8:15:52 PM: Started saving build plugins
8:15:52 PM: Finished saving build plugins
8:15:52 PM: Started saving pip cache
8:15:52 PM: Finished saving pip cache
8:15:52 PM: Started saving emacs cask dependencies
8:15:52 PM: Finished saving emacs cask dependencies
8:15:52 PM: Started saving maven dependencies
8:15:52 PM: Finished saving maven dependencies
8:15:52 PM: Started saving boot dependencies
8:15:52 PM: Finished saving boot dependencies
8:15:52 PM: Started saving go dependencies
8:15:53 PM: Finished saving go dependencies
8:15:58 PM: Error running command: Build script returned non-zero exit code: 1
8:15:58 PM: Failing build: Failed to build site
8:15:58 PM: Failed during stage ‘building site’: Build script returned non-zero exit code: 1
8:15:58 PM: Finished processing build request in 2m9.773541417s

Hey @zunnurayni,
I think the issue is your build command:

8:15:52 PM: $ yarn build
8:15:52 PM: bash: yarn: command not found

We’re looking in your netlify.toml file (which takes precedence over whatever you enter in the UI) and are not able to build with yarn build. I’m not sure what your package.json says, but perhaps your build command in the netlify.toml should be gatsby build or yarn run?

i tr